Bug 32048 - Add keywords to UMC modules
Add keywords to UMC modules
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Florian Best
Dirk Wiesenthal
: interim-2
Depends on:
Blocks: 32659
  Show dependency treegraph
 
Reported: 2013-07-24 11:01 CEST by Alexander Kläser
Modified: 2013-11-19 06:43 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-07-24 11:01:59 CEST
For the module live search in the overview page (see Bug 31699), each module also need a list of keywords that are assigned to it. For instance, being logged in with German localization, a search for "user" should find the UDM user module.
Comment 1 Alexander Kläser univentionstaff 2013-07-24 11:02:57 CEST
The keywords need to be added to the modules' XML files, and they need to be sent from the backend to the frontend.
Comment 2 Florian Best univentionstaff 2013-08-29 11:56:52 CEST
The module XML files have been adapted:
modules and flavors can now have <keywords>foo , bar</keywords> entries with a coma seperated list of keywords. The keywords are added to the modules/list UMCP-GET command. Also a translation of these keywords are added if exists in the module translation file.
svn 43536

The dummy module XML files and the umc-create-module command also have been adapted.
svn 43537

univention-management-console (6.0.9-1)
Comment 3 Florian Best univentionstaff 2013-09-09 15:02:11 CEST
Additional keywords have been added to the UMC modules.
Comment 4 Dirk Wiesenthal univentionstaff 2013-09-20 14:13:43 CEST
Keywords work
Most important keywords are already added
Ideas for improvement will be cloned into another bug
Changelog Ok
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:43:57 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".